"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModeratorEmitter = void 0;
const events_1 = __importDefault(require("events"));
const emitter = new events_1.default();
/**
 * Class that controls Moderator Emitter
 *
 * @class
 * @classdesc Moderator Emitter Class
 *
 * @private
 */
class ModeratorEmitter {
    /**
     * Method for listening Moderator events
     *
     * @param {Events} event Event Name
     * @param {any} data Event Data
     *
     * @returns {EventEmitter} EventEmitter Class
     */
    on(event, data) {
        return emitter.on(event, data);
    }
    /**
     * Method to listen for an Moderator event only once
     *
     * @param {Events} event Event Name
     * @param {any} data Event Data
     *
     * @returns {EventEmitter} EventEmitter Class
     */
    once(event, data) {
        return emitter.once(event, data);
    }
    /**
     * Method for emits Moderator events
     *
     * @param {Events} event Event Name
     * @param {any} args Event Args
     *
     * @returns {boolean} Event emit status
     */
    emit(event, ...args) {
        return emitter.emit(event, ...args);
    }
}
exports.ModeratorEmitter = ModeratorEmitter;
